[INSTALL_EXSP_AGREE]
FILE=%IJPLM_PATH%\SETUP.EXE
OPTION=%PARAM_REG%\%InstAppName% -B
PARAMETER=INITIAL_APPLICATION_PARAM_X86
APPID=EXSP_DL
PATH=IJPLM_PATH
Interval=100
Timeout=1200000

[INSTALL_EXSP_DISAGREE]
FILE=%IJPLM_PATH%\SETUP.EXE
OPTION=%PARAM_REG%\%InstAppName% -P
PARAMETER=INITIAL_APPLICATION_PARAM_X86
PATH=IJPLM_PATH
Interval=100
Timeout=1200000

[INITIAL_APPLICATION_PARAM_X86]
@%PARAM_REG_X86%\%InstAppName%;REBOOT@=DWORD,0
@%PARAM_REG_X86%\%InstAppName%;EMERGENCY_REBOOT@=DWORD,0
@%PARAM_REG_X86%\%InstAppName%;APPLICATION_COMPLETED@=DWORD,0xFFFFFFFF
@%PARAM_REG_X86%\%InstAppName%;PRIMARY_LANGID@=DWORD,%PRIMARY_LANGID%
@%PARAM_REG_X86%\%InstAppName%;SUB_LANGID@=DWORD,%SUB_LANGID%
@%PARAM_REG_X86%\%InstAppName%;RESIDENCE@=SZ,%RESIDENCE%
@%PARAM_REG_X86%\%InstAppName%;REGION@=SZ,%SELECTEDCOUNTRY%
@%PARAM_REG_X86%\%InstAppName%;DEVICENAME@=SZ,"Canon %PRODUCTNAME%"
@%PARAM_REG_X86%\%InstAppName%;DEVICEID@=SZ,%DEVICEID%
@%PARAM_REG_X86%\%InstAppName%;SEND_INFO_AGREE@=DWORD,1

[REGIST_ENQTYPE]
@%INSTALLED_DEVICE_REG%;DEVICENAME@=SZ,%DEVICEID%
@%INSTALLED_DEVICE_REG%;ENQTYPE@=SZ,%ENQTYPE%
@%INSTALLED_DEVICE_REG%;DISP_WARNING@=SZ,%SERVICE_WARN_TYPE%

[REGIST_INSTALL_INFO]
@%INSTALLED_DEVICE_REG%\%PESP_PSE%;SEND_INFO_AGREE@=DWORD,%PESP_AGREE%
@%INSTALLED_DEVICE_REG%\%PESP_PSE%;DATE@=SZ,%PESP_DATE%

[PATH_NWH_]
FILE=nwhelp.ini
OFFLINE_PATH=%SRC%\NWHELP

[INSTALLED_TUTO_PATH]
%TUTO_REG%="%CANON_REG_X86%\Easy Tutorial Viewer\%DEVICEID%"
%TUTO_EXEPATH%="@%TUTO_REG%;APP_PATH@"
%TUTO_INFOPATH%="@%TUTO_REG%;Info_PATH@"
%TUTO_P_WIRED%="@%TUTO_REG%;SETUP_WIRED@"
%TUTO_P_CABLELESS%="@%TUTO_REG%;SETUP_WIRELESS_CABLELESS@"
%TUTO_P_MANUAL%="@%TUTO_REG%;SETUP_WIRELESS_MANUAL@"
%TUTO_P_PUSH%="@%TUTO_REG%;SETUP_WIRELESS_PUSH@"
%TUTO_P_DIRECT%="@%TUTO_REG%;SETUP_DIRECT@"
%TUTO_UNINSTPATH%="@%TUTO_REG%;UNINSTALL_PATH@"

[TUTO_RESULT]
TUTO_RESULT="@%PARAM_REG_X86%\%InstAppName%\%DEVICEID%;RESULT@"

[TUTO_RESULT_ZERO]
@%PARAM_REG_X86%\%InstAppName%\%DEVICEID%;RESULT@=SZ,0

[OPEN_TUTO]
FILE=%TUTO_EXEPATH%
OPTION='"%TUTO_INFOPATH%" %TUTO_POINT% /m "%PARAM_REG_X86%\%InstAppName%\%DEVICEID%"'

[UNINST_TUTO]
FILE=%TUTO_UNINSTPATH%
OPTION="/D -SILENT_C"

[REGIST_INSTALL_DEVICE_INFO]
@%INSTALLED_DEVICE_REG%;LISTNAME@=SZ,"Canon %PRODUCTNAME%"
@%INSTALLED_DEVICE_REG%;DEVICENAME@=SZ,%DEVICEID%
@%INSTALLED_DEVICE_REG%;CATEGORY@=SZ,%PRODUCTTYPE%
@%INSTALLED_DEVICE_REG%;RESIDENCE@=SZ,%RESIDENCE%
@%INSTALLED_DEVICE_REG%;AREA@=SZ,%SELECTEDCOUNTRY%
@%INSTALLED_DEVICE_REG%;CD@=SZ,%CDTYPE%
@%INSTALLED_DEVICE_REG%;LANG@=SZ,%LANG%
@%INSTALLED_DEVICE_REG%;WSpt_Residence@=SZ,%SELECTEDCOUNTRY%
@%INSTALLED_DEVICE_REG%;CDTYPE_INCDC@=SZ,%CDTYPE%
@%INSTALLED_DEVICE_REG%;LANGID_FORIJUPDATE@=SZ,`%LANG_INI%;%LANG%;IJSLANG`
@%INSTALLED_DEVICE_REG%;MS_INSTDATE@=QWORD,%MS_INSTDATE%
@%INSTALLED_DEVICE_REG%;MS_INTERFACE@=SZ,%CONNECTTYPE%

[LET_SAVE_DATA_4SMEX]
@%LATEST_DEVICE_REG%;DEVICEID@=SZ,%DEVICEID%
@%LATEST_DEVICE_REG%;MS_INSTDATE@=QWORD,%MS_INSTDATE%

[MAKE_TESTPRN_PATH_OFF]
%TESTPRN_PATH%=%SRC%\TESTPRN\%LANG%\Bg-Msetup_Testprint.html

[MAKE_TESTPRN_PATH_ON]
%TESTPRN_PATH%=%ONLINE_TESTPRINT%\%LANG%\Bg-Msetup_Testprint.html

[OPEN_TESTPRIN_RUNDLL]
FILE="rundll32.exe"
OPTION='"%SRC%\LIB\%TESTPRINT_DLL%",TestPrint_RunDLL "%TESTPRN_PATH%" "%FRENDLYNAME%"'

[OPEN_TESTPRIN_RUNDLL_PRINTUI]
FILE="rundll32.exe" 
OPTION='printui.dll,PrintUIEntry /k /n "%FRENDLYNAME%"'

[EXECUTE_PHA_x86]
FILE=%SRC%\LIB\PrinterHeadAlignment\PHA32.exe
OPTION='"%FRENDLYNAME%" 104'

[EXECUTE_PHA_x64]
FILE=%SRC%\LIB\PrinterHeadAlignment\PHA64.exe
OPTION='"%FRENDLYNAME%" 104'

[INSTALL_USER_REGISTRATION_URAL]
FILE=%SRC%\LIB\WEBREG\SETUP.EXE
OPTION=-L %PRIMARY_LANGID% -l %SUB_LANGID% -U %URL4MODULE% -P "%PRODUCTNAME%" -R %RTLREADING% -X "WEBREG_%DEVICEID%_%CDTYPE%" -Y "%CANON_REG_X86%\IJPLM" -Z "LIBRARY" -C "%URAL_URL%" -D "%DEVICEID%" -T "%CDTYPE%" -A "%SELECTEDCOUNTRY%" -G "%PRINTERNAME%"
Interval=100
Timeout=1200000

[INSTALL_USER_REGISTRATION_OLD]
FILE=%SRC%\LIB\WEBREG\SETUP.EXE
OPTION=-L %PRIMARY_LANGID% -l %SUB_LANGID% -U %URL4MODULE% -P "%PRODUCTNAME%" -R %RTLREADING% -X "WEBREG_%DEVICEID%_%CDTYPE%" -Y "%CANON_REG_X86%\IJPLM" -Z "LIBRARY" -C "" -D "%DEVICEID%" -T "%CDTYPE%" -A "%SELECTEDCOUNTRY%" -G "%PRINTERNAME%"
Interval=100
Timeout=1200000

[COPY_SBOXINI]
SOURCE=%SRC%\LIB\WEBREG\smenu.ini
DESTINATION="%PROGRAMFILES_X86%\canon\Solution Menu EX\UserRegistration\%DEVICEID%.ini"
CAPTION=FileCopy

[FIX_SBOXINI_NAME]
SOURCE="%PROGRAMFILES_X86%\canon\Solution Menu EX\UserRegistration\%DEVICEID%.ini"
SECTION=UserRegistration
KEY=NAME
VALUE=Canon %PRODUCTNAME%

[FIX_SBOXINI_APPEXEFILE]
SOURCE="%PROGRAMFILES_X86%\canon\Solution Menu EX\UserRegistration\%DEVICEID%.ini"
SECTION=UserRegistration
KEY=APPEXEFILE
VALUE=IJEREG.exe

[FIX_SBOXINI_APPEXEPATH]
SOURCE="%PROGRAMFILES_X86%\canon\Solution Menu EX\UserRegistration\%DEVICEID%.ini"
SECTION=UserRegistration
KEY=APPEXEPATH
VALUE="%PROGRAMFILES_X86%\canon\IJEREG\%PRODUCTNAME%\IJEREG.exe"

[FIX_SBOXINI_OPTION]
SOURCE="%PROGRAMFILES_X86%\canon\Solution Menu EX\UserRegistration\%DEVICEID%.ini"
SECTION=UserRegistration
KEY=OPTION
VALUE=-SMEX

[LET_INSTALL_WEBREG_SUCCESS]
%WEBREG.INSTALLED%=1

[SET_WEBREG_EXECUTE]
%WEBREG_EXECUTE%=1

[LET_SAVE_DATA_4SMEX_UREG]
@%LATEST_DEVICE_REG%;USER_REG@=DWORD,%WEBREG_EXECUTE%

[OPEN_WEBREG_PAGE_URAL]
FILE=%PROGRAMFILES_X86%\canon\IJEREG\%PRODUCTNAME%\IJEREG.exe
OPTION='-NOURALMSG "%PXUID%" "%PXPSD%"'

[DELETE_PINO_PATH]
PINO_PATH_x86=SOFTWARE\Canon\Garo_Togo\iPF PrintPlug-In\Setup
PINO_PATH_x64=SOFTWARE\Wow6432Node\Canon\Garo_Togo\iPF PrintPlug-In\Setup

[MAKE_QM_PATH]
%QM_PATH%=@%CANON_REG_X86%\Quick Menu;AppPath@

[OPEN_QM]
FILE=%QM_PATH%
OPTION='/MS /Main'

[CDM_PATH]
%CDM_TOPPAGE%="@%CANON_REG_X86%\OnscreenManual\%DEVICEID%;TOPPAGE@

[GET_EGV_PATH]
%EGV_EXEPATH%="@%CANON_REG_X86%\Easy Guide Viewer\%PrinterName%;APP_PATH@"
%EGV_INFOPATH%="@%CANON_REG_X86%\Easy Guide Viewer\%PrinterName%;Info_PATH@"
%EGV_FAXPATH%="@%CANON_REG_X86%\Easy Guide Viewer\%PrinterName%;MSETUP_COMPLETION@"

[OPEN_EGV_FAX]
FILE=%EGV_EXEPATH%
OPTION='"%EGV_INFOPATH%" %EGV_FAXPATH%"'

[LET_SET_NS_SELECTOR_PATH]
%NS_SELECTOR_PATH%="@%CANON_REG_X86%\IJNetworkScannerSelectorEX;AppPath@"

[LET_SET_NS_SELECTOREX2_PATH]
%NS_SELECTOR_PATH%="@%CANON_REG_X86%\IJNetworkScannerSelectorEX2;AppPath@"

[OPEN_NS_SELECTOR]
FILE=%NS_SELECTOR_PATH%
OPTION=/FORCE

[LET_GET_IJPLM_DLL_PATH]
%IJPLM_DLL%="@%CANON_REG%\IJPLM;LIBRARY@"

[TEST_PRINT_APPID]
appid=TP1_,TP2_,TP3_

[EISR_INSTALLED_INFO]
%EISR_RUN%="@%CANON_REG_X86%\EISRegistration;MSetupRun@"
%EISR_RUNTYPE%="@%CANON_REG_X86%\EISRegistration;RunType@"
%EISR_PATH%="@%CANON_REG_X86%\EISRegistration;AppPath@"

[OPEN_EISR]
FILE=%EISR_PATH%
OPTION='-MSetup -REG "%DEVICEID%" "%FRENDLYNAME%" "%IJSLANG%" "%PESP_PSE%"'

[OPEN_EISR_SILENT]
FILE=%EISR_PATH%
OPTION='-MSetup -REG2 "%DEVICEID%" "%FRENDLYNAME%" "%IJSLANG%" "%PESP_PSE%"'

[OPEN_EISR_OB]
FILE=%EISR_PATH%
OPTION='-MSetup -OB "%DEVICEID%" "%FRENDLYNAME%" "%IJSLANG%" "%PESP_PSE%"'

[REGIST_EISR_UFURL]
@%INSTALLED_DEVICE_REG%\%PESP_PSE%;UF_URL@=SZ,%UF_URL%

[INITIAL_EXTRAKIT_PARAM_X86]
@%CANON_REG_X86%\GARO\Exkit\AppInstaller;APPLICATION_COMPLETED@=DWORD,0xFFFFFFFF
@%CANON_REG_X86%\GARO\Exkit\AppInstaller;PRIMARY_LANGID@=DWORD,%PRIMARY_LANGID%
@%CANON_REG_X86%\GARO\Exkit\AppInstaller;SUB_LANGID@=DWORD,%SUB_LANGID%
@%CANON_REG_X86%\GARO\Exkit\AppInstaller;REBOOT@=DWORD,0

[INSTALL_EXTRAKIT]
FILE=%SRC%\DRIVER\Extra\SETUP.EXE
OPTION='%CANON_REG%\GARO\Exkit\AppInstaller -SILENT_C'
PARAMETER=INITIAL_EXTRAKIT_PARAM_X86
Interval=100
Timeout=1200000

[INSTALL_EXTRAKIT_ONLINE]
FILE=%DRIVER_PATH%\Extra\SETUP.EXE
OPTION='%CANON_REG%\GARO\Exkit\AppInstaller -SILENT_C'
PARAMETER=INITIAL_EXTRAKIT_PARAM_X86
Interval=100
Timeout=1200000

[EXTRAKIT_REG]
EXTRAKIT_REG=%CANON_REG_X86%\GARO\Exkit\AppInstaller

[OPEN_AWI]
FILE=%ONLINE_AWI_%\WebInstaller.exe
OPTION=''
